summaryrefslogtreecommitdiff
path: root/qa/556
diff options
context:
space:
mode:
Diffstat (limited to 'qa/556')
-rwxr-xr-xqa/55662
1 files changed, 62 insertions, 0 deletions
diff --git a/qa/556 b/qa/556
new file mode 100755
index 0000000..14d20d6
--- /dev/null
+++ b/qa/556
@@ -0,0 +1,62 @@
+#!/bin/sh
+# PCP QA Test No. 556
+# pmie actions in archive mode
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+if [ $PCP_VER -lt 3600 ]
+then
+ # V1 archives supported
+ arch=src/ace
+else
+ # no support for V1 archives
+ arch=src/ace_v2
+fi
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# deal with an annoying libc error ... using TZ=:Australia/Melbourne
+# causes the -z option to report the wrong time, at least for some
+# times of the year
+#
+TZ=EST-10
+export TZ
+
+cat > $tmp.ns << EOF
+root { irix }
+irix { kernel }
+irix.kernel { all }
+irix.kernel.all { load 1:18:3 }
+EOF
+
+# real QA test starts here
+cat <<End-of-File | pmie -n $tmp.ns -z -a $arch -S '@14:25:10' -t 3sec -T 5sec >$tmp.log 2>&1
+irix.kernel.all.load #'1' > 0 -> syslog "test syslog";
+irix.kernel.all.load #'1' > 0 -> print "test print";
+irix.kernel.all.load #'1' > 0 -> shell "echo" " test shell";
+irix.kernel.all.load #'1' > 0 -> syslog 1 min "test syslog + holdoff";
+irix.kernel.all.load #'1' > 0 -> print 1 min "test print + holdoff";
+irix.kernel.all.load #'1' > 0 -> shell 1 min "echo" " test shell + holdoff";
+End-of-File
+
+sed <$tmp.log \
+ -e "/Info: evaluator exiting/d" \
+ -e "/note - evaluator exiting/d" \
+ -e '/note - timezone/{
+s/note - //
+s/"//g
+}'
+
+# success, all done
+status=0
+exit